MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
CLAmath.h File Reference
`#include "sw/modules/types/src/types.h"`

Go to the source code of this file.

## Macros
#define | TABLE_SIZE_DIVTWOPI 20.37183271576;
#define | TWOPIDDIV_TABLE_SIZE 0.04908738521234;
#define | TABLE_SIZE 64
#define | TABLE_SIZE_M_1 TABLE_SIZE-1
#define | PI 3.141592653589

## Functions
float_t | CLAacos (float_t fVal)
float_t | CLAacos_spc (float_t fVal)
float_t | CLAasin (float_t fVal)
float_t | CLAatan (float_t fVal)
float_t | CLAatan2 (float_t fVal1, float_t fVal2)
float_t | CLAatan2PU (float_t fVal1, float_t fVal2)
float_t | CLAcos (float_t fAngleRad)
float_t | CLAcosPU (float_t fAngleRadPU)
float_t | CLAdiv (float_t fNum, float_t fDen)
float_t | CLAexp (float_t fVal)
float_t | CLAexp10 (float_t fVal)
float_t | CLAexp2 (float_t fNum, float_t fDen)
float_t | CLAisqrt (float_t fVal)
float_t | CLAln (float_t fVal)
float_t | CLAlog10 (float_t fVal)
float_t | CLAsin (float_t fAngleRad)
float_t | CLAsinPU (float_t fAngleRadPU)
float_t | CLAsqrt (float_t fVal)

## Variables
float_t | CLAsincosTable [161]
float_t | CLAsinTable [128]
float_t * | CLAsincosTable_Sin0
float_t | CLAcosTable [129]
float_t * | CLAsincosTable_Cos0
float_t * | CLAsinTableEnd
float_t * | CLAcosTableEnd
float_t * | CLAsincosTableEnd
float_t | CLAsincosTable_TABLE_SIZE
float_t | CLAsincosTable_TABLE_SIZEDivTwoPi
float_t | CLAsincosTable_TwoPiDivTABLE_SIZE
float_t | CLAsincosTable_TABLE_MASK
float_t | CLAsincosTable_Coef0
float_t | CLAsincosTable_Coef1
float_t | CLAsincosTable_Coef1_pos
float_t | CLAsincosTable_Coef2
float_t | CLAsincosTable_Coef3
float_t | CLAsincosTable_Coef3_neg
float_t | CLAatan2HalfPITable [2]
float_t | CLAatan2Table [195]
float_t * | CLAatan2TableEnd
float_t * | CLAINV2PI
float_t | CLAacosinHalfPITable [2]
float_t | CLAacosinTable [192]
float_t * | CLAacosinTableEnd
float_t | CLAasinHalfPITable [2]
float_t | CLAasinTable [195]
float_t * | CLAasinTableEnd
float_t | CLAINV1
float_t | CLAINV2
float_t | CLAINV3
float_t | CLAINV4
float_t | CLAINV5
float_t | CLAINV6
float_t | CLAINV7
float_t | CLALOG10
float_t | CLAExpTable [89]
float_t * | CLAExpTableEnd
float_t | CLALNV2
float_t | CLALNVe
float_t | CLALNV10
float_t | CLABIAS
long | CLALN_TABLE_MASK1
long | CLALN_TABLE_MASK2
float_t | CLALnTable [99]
float_t * | CLALnTableEnd
unsigned int | _cla_scratchpad_start
unsigned int | _cla_scratchpad_end

## Macro Definition Documentation

#define PI 3.141592653589

Definition at line 132 of file CLAmath.h.

#define TABLE_SIZE 64

Definition at line 129 of file CLAmath.h.

#define TABLE_SIZE_DIVTWOPI 20.37183271576;

Definition at line 127 of file CLAmath.h.

#define TABLE_SIZE_M_1 TABLE_SIZE-1

Definition at line 130 of file CLAmath.h.

#define TWOPIDDIV_TABLE_SIZE 0.04908738521234;

Definition at line 128 of file CLAmath.h.

## Function Documentation

float_t CLAacos | ( | float_t | fVal | ) |

float_t CLAacos_spc | ( | float_t | fVal | ) |

float_t CLAasin | ( | float_t | fVal | ) |

float_t CLAatan | ( | float_t | fVal | ) |

float_t CLAatan2 | ( | float_t | fVal1,
|  | float_t | fVal2
| ) |  |

float_t CLAatan2PU | ( | float_t | fVal1,
|  | float_t | fVal2
| ) |  |

float_t CLAcos | ( | float_t | fAngleRad | ) |

float_t CLAcosPU | ( | float_t | fAngleRadPU | ) |

float_t CLAdiv | ( | float_t | fNum,
|  | float_t | fDen
| ) |  |

float_t CLAexp | ( | float_t | fVal | ) |

float_t CLAexp10 | ( | float_t | fVal | ) |

float_t CLAexp2 | ( | float_t | fNum,
|  | float_t | fDen
| ) |  |

float_t CLAisqrt | ( | float_t | fVal | ) |

float_t CLAln | ( | float_t | fVal | ) |

float_t CLAlog10 | ( | float_t | fVal | ) |

float_t CLAsin | ( | float_t | fAngleRad | ) |

float_t CLAsinPU | ( | float_t | fAngleRadPU | ) |

float_t CLAsqrt | ( | float_t | fVal | ) |

## Variable Documentation

unsigned int _cla_scratchpad_end

unsigned int _cla_scratchpad_start

float_t CLAacosinHalfPITable[2]

float_t CLAacosinTable[192]

float_t* CLAacosinTableEnd

float_t CLAasinHalfPITable[2]

float_t CLAasinTable[195]

float_t* CLAasinTableEnd

float_t CLAatan2HalfPITable[2]

float_t CLAatan2Table[195]

float_t* CLAatan2TableEnd

float_t CLABIAS

float_t CLAcosTable[129]

float_t* CLAcosTableEnd

float_t CLAExpTable[89]

float_t* CLAExpTableEnd

float_t CLAINV1

float_t CLAINV2

float_t* CLAINV2PI

float_t CLAINV3

float_t CLAINV4

float_t CLAINV5

float_t CLAINV6

float_t CLAINV7

long CLALN_TABLE_MASK1

long CLALN_TABLE_MASK2

float_t CLALnTable[99]

float_t* CLALnTableEnd

float_t CLALNV10

float_t CLALNV2

float_t CLALNVe

float_t CLALOG10

float_t CLAsincosTable[161]

float_t CLAsincosTable_Coef0

float_t CLAsincosTable_Coef1

float_t CLAsincosTable_Coef1_pos

float_t CLAsincosTable_Coef2

float_t CLAsincosTable_Coef3

float_t CLAsincosTable_Coef3_neg

float_t* CLAsincosTable_Cos0

float_t* CLAsincosTable_Sin0

float_t CLAsincosTable_TABLE_MASK

float_t CLAsincosTable_TABLE_SIZE

float_t CLAsincosTable_TABLE_SIZEDivTwoPi

float_t CLAsincosTable_TwoPiDivTABLE_SIZE

float_t* CLAsincosTableEnd

float_t CLAsinTable[128]

float_t* CLAsinTableEnd